package icse2011experiments.assoc;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Util {

	public static List<String> readLines (String file) 
	{
		Scanner scanner = null; 
		
		try {
			scanner = new Scanner(new File(file));
		} catch (FileNotFoundException e) {
			throw new RuntimeException();
		}
		
		// begin by loading all strings into memory
		List<String> rawStrings = new ArrayList<String>();
		
		while (scanner.hasNextLine()) {
			String string = scanner.nextLine().trim();
			if (string.isEmpty()) {
				continue;
			}
			rawStrings.add(string);
		}
		
		scanner.close();
		
		return rawStrings;
	}
	
}
